# Features

The SDK handles **groundwork** such as authentication, renewing
authentication tokens and serializing and deserializing data to and
from JavaScript data structures, so that you don't need to worry about
it.

The main SDK features are:

- [Promise-based](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Promise) asynchronous API.
- Universal: Runs in any JavaScript environment, including [Node.js](https://nodejs.org/), browser and [React Native](https://facebook.github.io/react-native/) (experimental).
- Predictable mapping from SDK methods to API endpoints.
- [Types](./types.md) to represent UUID, money, geolocation, etc. with automatic serialization and deserialization.
- [Easy authentication](./authentication.md).
