import SharetribeSdk from './sdk';
import * as types from './types';
import browserCookieStore from './browser_cookie_store';
import expressCookieStore from './express_cookie_store';
import memoryStore from './memory_store';
import { read, write } from './serializer';
import { objectQueryString } from './utils';

const createInstance = config => new SharetribeSdk(config);

// Export token stores
const tokenStore = {
  memoryStore,
  browserCookieStore,
  expressCookieStore,
};

// Export Transit serialization helpers
const transit = { read, write };

// Export util functions
const util = { objectQueryString };

/* eslint-disable import/prefer-default-export */
export { createInstance, types, tokenStore, transit, util };


// sdk = sharetribeSdk.createInstance({
//   clientId: " ",
//   tokenStore: sharetribeSdk.tokenStore.memoryStore()
// });

// sdk.listings.query({ per_page: 5 }).then(res => {res.data.data.forEach(listing => {console.log(`Listing: ${listing.attributes.title}`)})}).catch(res => {console.log(`Request failed with status: ${res.status} ${res.statusText}`)});
// {
  
//   "attribute": {
//     "seats": 1,
//     "Start_Date": null,
//     "End_date": null
//   }
// }

// sdk.availabilityExceptions.delete({"id": 7})

// current_user/create

// {
//   "type": "user",
//   "user-roles": "",
//   "email": "",
//   "firstName": "",
//   "lastName": "",
//   "password": ""
// }
// sdk.currentUser.create({"type": "user", "user-roles": "","email": "","firstName": "Ayo","lastName": "Elutilo","password": "password"
// })